Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier.assessment
Class Sampled_RepeatedHoldOutAssessParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.classifier.assessment.ClassifierAssessmentAssessParameterSet
              de.jstacs.classifier.assessment.Sampled_RepeatedHoldOutAssessParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

    public class Sampled_RepeatedHoldOutAssessParameterSet

extends ClassifierAssessmentAssessParameterSet

This class implements a `ClassifierAssessmentAssessParameterSet` that must be used to call the method `assess( ... )` of a `Sampled_RepeatedHoldOutExperiment`. It contains user specific parameters necessary for a run of a `Sampled_RepeatedHoldOutExperiment` .

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`Sampled_RepeatedHoldOutAssessParameterSet()` Constructs a new `Sampled_RepeatedHoldOutAssessParameterSet` with empty parameter values.
`Sampled_RepeatedHoldOutAssessParameterSet(Sample.PartitionMethod dataSplitMethod, int elementLength, boolean exceptionIfMPNotComputable, int repeats, int referenceClass, double percentage, boolean sameLength)` Constructs a new `Sampled_RepeatedHoldOutAssessParameterSet` with given parameter values.
`Sampled_RepeatedHoldOutAssessParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`Collection<Result>` | `getAnnotation()` Returns a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.
`Sample.PartitionMethod` | `getDataSplitMethod()` Returns the `Sample.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated.
`double` | `getPercent()` Returns the percentage of user supplied data that is used in each iteration as test dataset.
`int` | `getReferenceClass()` Returns the index of the reference class.
`int` | `getRepeats()` Returns the repeats defined by this `Sampled_RepeatedHoldOutAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `Sampled_RepeatedHoldOutExperiment` this `Sampled_RepeatedHoldOutAssessParameterSet` is used with are performed).
`protected void` | `initializeMyParametersArrayList()` Initializes the list of `Parameter`s in this `ClassifierAssessmentAssessParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`boolean` | `sameLength()` Returns `true` if for test and train dataset the sequences of the non-reference classes have the same length as the corresponding sequence of the reference class.

Methods inherited from class de.jstacs.classifier.assessment.ClassifierAssessmentAssessParameterSet
`getElementLength, getExceptionIfMPNotComputable`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromXML, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toXML, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sampled_RepeatedHoldOutAssessParameterSet

    public Sampled_RepeatedHoldOutAssessParameterSet()
                                              throws UnsupportedOperationException

  Constructs a new `Sampled_RepeatedHoldOutAssessParameterSet` with empty parameter values. This constructor should only be used to create "filled" `Sampled_RepeatedHoldOutAssessParameterSet`s, i.e. to create `Sampled_RepeatedHoldOutAssessParameterSet`s from a set of values and not to fill it from the platform user-interface.

  Throws:
    `UnsupportedOperationException` - if the `Sampled_RepeatedHoldOutAssessParameterSet` could not be constructed or the parameters could not be loaded
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet()`

### Sampled_RepeatedHoldOutAssessParameterSet

    public Sampled_RepeatedHoldOutAssessParameterSet(StringBuffer representation)
                                              throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `Sampled_RepeatedHoldOutAssessParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `Sampled_RepeatedHoldOutAssessParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet(StringBuffer)`

### Sampled_RepeatedHoldOutAssessParameterSet

    public Sampled_RepeatedHoldOutAssessParameterSet(Sample.PartitionMethod dataSplitMethod,
                                                     int elementLength,
                                                     boolean exceptionIfMPNotComputable,
                                                     int repeats,
                                                     int referenceClass,
                                                     double percentage,
                                                     boolean sameLength)
                                              throws SimpleParameter.IllegalValueException

  Constructs a new `Sampled_RepeatedHoldOutAssessParameterSet` with given parameter values.

  Parameters:
    `dataSplitMethod` - defines the method used to split user supplied data into `k` mutually exclusive random-splits (available options are: `Sample.PartitionMethod.PARTITION_BY_NUMBER_OF_ELEMENTS` and `Sample.PartitionMethod.PARTITION_BY_NUMBER_OF_SYMBOLS`)
    `elementLength` - defines the length of elements (sequences) the classifiers to be assessed are able to classify
    `exceptionIfMPNotComputable` - a `Sampled_RepeatedHoldOutAssessParameterSet` is used in combination with an `MeasureParameters`-object to call `assess( ... )`-methods of `Sampled_RepeatedHoldOutExperiment`s. If `exceptionIfMPNotComputable==true` an `Exception` is thrown in case of a user selected measure parameters that could not be computed.
    `repeats` - the number of repeats of each iteration (mutually exclusive, randomly split data to obtain test and train datasets, train classifiers using train datasets and test them using test datasets) of that `RepeatedHoldOutExperiment` this `Sampled_RepeatedHoldOutAssessParameterSet` is used with
    `referenceClass` - the index of the class for which the complete data set is used, typically this should be the smallest data set (to meet all constraints)
    `percentage` - the percentage of the `referenceClass` data that should be used as test data in each iteration
    `sameLength` - if `true` for test and train dataset the sequences of the non-reference classes have the same length as the corresponding sequence of the reference class
  Throws:
    `SimpleParameter.IllegalValueException` - in case of out-of-range or invalid given parameters
  See Also:
    `Sample.PartitionMethod`

Method Detail

### initializeMyParametersArrayList

    protected void initializeMyParametersArrayList()

  Description copied from class: `ClassifierAssessmentAssessParameterSet`
  Initializes the list of `Parameter`s in this `ClassifierAssessmentAssessParameterSet`.

  Overrides:
    `initializeMyParametersArrayList` in class `ClassifierAssessmentAssessParameterSet`
  See Also:
    `ParameterSet.initParameterList(int initCapacity)`

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `ClassifierAssessmentAssessParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getRepeats

    public int getRepeats()

  Returns the repeats defined by this `Sampled_RepeatedHoldOutAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `Sampled_RepeatedHoldOutExperiment` this `Sampled_RepeatedHoldOutAssessParameterSet` is used with are performed).

  Returns:
    the repeats defined by this `Sampled_RepeatedHoldOutAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `Sampled_RepeatedHoldOutExperiment` this `Sampled_RepeatedHoldOutAssessParameterSet` is used with are performed)

### getReferenceClass

    public int getReferenceClass()

  Returns the index of the reference class.

  Returns:
    the index of the reference class

### getPercent

    public double getPercent()

  Returns the percentage of user supplied data that is used in each iteration as test dataset.

  Returns:
    the percentage of user supplied data that is used in each iteration as test dataset

### getDataSplitMethod

    public Sample.PartitionMethod getDataSplitMethod()

  Returns the `Sample.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated.

  Returns:
    the `Sample.PartitionMethod` defining how the mutually exclusive random-splits of user supplied data are generated
  See Also:
    `Sample.PartitionMethod`

### sameLength

    public boolean sameLength()

  Returns `true` if for test and train dataset the sequences of the non-reference classes have the same length as the corresponding sequence of the reference class.

  Returns:
    returns `true` if for test and train data set the sequences of the non-reference classes have the same length as the corresponding sequence of the reference class

### getAnnotation

    public Collection<Result> getAnnotation()

  Description copied from class: `ClassifierAssessmentAssessParameterSet`
  Returns a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.

  Overrides:
    `getAnnotation` in class `ClassifierAssessmentAssessParameterSet`
  Returns:
    a `Collection` of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD